diff options
author | Andre McCurdy <armccurdy@gmail.com> | 2015-07-23 16:09:01 -0700 |
---|---|---|
committer | Richard Purdie <richard.purdie@linuxfoundation.org> | 2015-07-27 23:29:16 +0100 |
commit | 1b88b7426a3c5e3b4427501e67df141b0ee17934 (patch) | |
tree | f40b89dca285e170f2fde387f36fa2e81f7d0160 | |
parent | eeb412d01d5f1a7ac1c9a10be2450448e0a23f13 (diff) | |
download | poky-1b88b7426a3c5e3b4427501e67df141b0ee17934.tar.gz |
bitbake: build: Exit scripts with result of last shell function
Since shell scripts run with 'set -e' the final exit at the end of the
script can only be returning 0. However, for correctness and to follow
the original intention of the 'cleanup' commands, let's fix the typo
and return the success of the last shell function rather than the
success of unhooking the exit trap handler.
(Bitbake rev: bef724057f1ea81571dd3ac5a9cf862f818434b5)
Signed-off-by: Andre McCurdy <armccurdy@gmail.com>
Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
-rw-r--r-- | bitbake/lib/bb/build.py | 2 |
1 files changed, 1 insertions, 1 deletions
diff --git a/bitbake/lib/bb/build.py b/bitbake/lib/bb/build.py index 34399640c0..764163f37f 100644 --- a/bitbake/lib/bb/build.py +++ b/bitbake/lib/bb/build.py | |||
@@ -313,7 +313,7 @@ def exec_func_shell(func, d, runfile, cwd=None): | |||
313 | # cleanup | 313 | # cleanup |
314 | ret=$? | 314 | ret=$? |
315 | trap '' 0 | 315 | trap '' 0 |
316 | exit $? | 316 | exit $ret |
317 | ''') | 317 | ''') |
318 | 318 | ||
319 | os.chmod(runfile, 0775) | 319 | os.chmod(runfile, 0775) |